$(document).ready(function() {
  $('#btnUpload').click(function() {
    var fileUpload = document.getElementById('fileUpload');
    

    if (fileUpload.files.length == 0) {
      showSnackbar('#fd7e14', 'Please Select the file first.');
      return;
    }
    var formData = new FormData();
    // formData.append("fileUpload", fileUpload.files[0], fileUpload.files[0].name);
    var imgDataUrl = document.getElementById('output_image').src;
    var f = document.getElementById('f').value;
    formData.append('img', imgDataUrl);
    formData.append('f', f);
    $.ajax({
      url: 'upload.php',
      type: 'POST',
      data: formData,
      processData: false,
      contentType: false,

      success: function(data, textStatus, jqXHR) {
        // alert("File Uploaded Successfully !");
        console.log(data);
        showSnackbar('#28a745', 'File Uploaded Successfully')
        // fileUpload.value = null;
      },
      error: function(jqXHR, textStatus, errorThrown) {
        showSnackbar('#dc3545', 'An error occurred uploading the file!');
      }
    });
  });
});